oCoreoCore Docs
API Reference

Webhook Endpoints

Replay webhook delivery

Re-enqueues a webhook delivery for another attempt.

POST
/webhook-deliveries/{deliveryId}/replay

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

deliveryIdRequiredstring

Delivery ID

curl -X POST "//api.ocore.dev/api/webhook-deliveries/<string>/replay" \
  -H "Authorization: <token>"

OK

{
  "message": "string"
}

List webhook endpoints

Returns all webhook endpoints for the organization.

GET
/webhook-endpoints

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/webhook-endpoints" \
  -H "Authorization: <token>"

OK

{
  "endpoints": [
    {
      "active": true,
      "createdAt": "string",
      "description": "string",
      "events": [
        "string"
      ],
      "id": "string",
      "secret": true,
      "updatedAt": "string",
      "url": "string"
    }
  ],
  "total": 0
}

Create webhook endpoint

Creates a new outbound webhook endpoint for the organization.

POST
/webhook-endpoints

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Webhook endpoint request

activeboolean
descriptionstring
eventsarray<string>
secretstring
urlstring
curl -X POST "//api.ocore.dev/api/webhook-endpoints" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "active": true,
    "description": "string",
    "events": [
      "string"
    ],
    "secret": "string",
    "url": "string"
  }'

Created

{
  "active": true,
  "createdAt": "string",
  "description": "string",
  "events": [
    "string"
  ],
  "id": "string",
  "secret": true,
  "updatedAt": "string",
  "url": "string"
}

Get webhook endpoint

Returns a single webhook endpoint.

GET
/webhook-endpoints/{id}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

idRequiredstring

Webhook endpoint ID

curl -X GET "//api.ocore.dev/api/webhook-endpoints/<string>" \
  -H "Authorization: <token>"

OK

{
  "active": true,
  "createdAt": "string",
  "description": "string",
  "events": [
    "string"
  ],
  "id": "string",
  "secret": true,
  "updatedAt": "string",
  "url": "string"
}

Delete webhook endpoint

Deletes a webhook endpoint.

DELETE
/webhook-endpoints/{id}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

idRequiredstring

Webhook endpoint ID

curl -X DELETE "//api.ocore.dev/api/webhook-endpoints/<string>" \
  -H "Authorization: <token>"

OK

{
  "message": "string"
}

Update webhook endpoint

Updates a webhook endpoint URL, events, or status.

PUT
/webhook-endpoints/{id}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Webhook endpoint update

activeboolean
descriptionstring
eventsarray<string>
secretstring
urlstring

Path Parameters

idRequiredstring

Webhook endpoint ID

curl -X PUT "//api.ocore.dev/api/webhook-endpoints/<string>" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "active": true,
    "description": "string",
    "events": [
      "string"
    ],
    "secret": "string",
    "url": "string"
  }'

OK

{
  "active": true,
  "createdAt": "string",
  "description": "string",
  "events": [
    "string"
  ],
  "id": "string",
  "secret": true,
  "updatedAt": "string",
  "url": "string"
}

List webhook deliveries

Returns paginated delivery logs for a webhook endpoint.

GET
/webhook-endpoints/{id}/deliveries

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

idRequiredstring

Webhook endpoint ID

Query Parameters

pageinteger

Page number

per_pageinteger

Items per page

curl -X GET "//api.ocore.dev/api/webhook-endpoints/<string>/deliveries?page=0&per_page=0" \
  -H "Authorization: <token>"

OK

{
  "deliveries": [
    {
      "attempt": 0,
      "createdAt": "string",
      "deliveredAt": "string",
      "endpointId": "string",
      "eventType": "string",
      "httpStatus": 0,
      "id": "string",
      "maxAttempts": 0,
      "nextRetryAt": "string",
      "payload": {
        "property1": null,
        "property2": null
      },
      "responseBody": "string",
      "status": "string"
    }
  ],
  "page": 0,
  "perPage": 0,
  "total": 0
}

Was this page helpful?